# Interface WMSLayer

interface WMSLayer {
getData: boolean;
name: string;
queryable: boolean;
}

- Defined in src/datasource/OGC.js:174

#####
Index

### Properties

getData
name
queryable

## Properties

### getData

getData: boolean

If the layer is queryable and this property is set to false, then the layer won't be used in queries issued. Defaults to `true`.

- Defined in src/datasource/OGC.js:177

### name

name: string

The layer name (WMS) and/or feature type name (WFS)

- Defined in src/datasource/OGC.js:175

### queryable

queryable: boolean

Whether the the layer is queryable or not. Defaults to `false`.

- Defined in src/datasource/OGC.js:176

Generated using TypeDoc